<?xml version="1.0" encoding="UTF-8"?>
<mappingtask>
  <config>
    <rewriteSubsumptions>true</rewriteSubsumptions>
    <rewriteCoverages>true</rewriteCoverages>
    <rewriteSelfJoins>true</rewriteSelfJoins>
    <rewriteEGDs>false</rewriteEGDs>
    <sortStrategy>-1</sortStrategy>
    <skolemTableStrategy>-1</skolemTableStrategy>
    <useLocalSkolem>false</useLocalSkolem>
  </config>
  <source>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:discogs_sample1</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>discogs_sample1.artists_aliases.artists_aliasesTuple.artist_id</from>
          <to>discogs_sample1.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.artists_groups.artists_groupsTuple.artist_id</from>
          <to>discogs_sample1.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.artists_members.artists_membersTuple.artist_id</from>
          <to>discogs_sample1.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.artists_urls.artists_urlsTuple.artist_id</from>
          <to>discogs_sample1.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.labels_images.labels_imagesTuple.label_id</from>
          <to>discogs_sample1.labels.labelsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.labels_sublabels.labels_sublabelsTuple.label_id</from>
          <to>discogs_sample1.labels.labelsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.labels_urls.labels_urlsTuple.label_id</from>
          <to>discogs_sample1.labels.labelsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.masters_artists.masters_artistsTuple.master_id</from>
          <to>discogs_sample1.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.masters_genres.masters_genresTuple.master_id</from>
          <to>discogs_sample1.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.masters_images.masters_imagesTuple.master_id</from>
          <to>discogs_sample1.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.masters_styles.masters_stylesTuple.master_id</from>
          <to>discogs_sample1.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.masters_videos.masters_videosTuple.master_id</from>
          <to>discogs_sample1.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_artists.releases_artistsTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_extraartists.releases_extraartistsTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_formats.releases_formatsTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_formats_descriptions.releases_formats_descriptionsTuple.format_id</from>
          <to>discogs_sample1.releases_formats.releases_formatsTuple.format_id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_genres.releases_genresTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_identifiers.releases_identifiersTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_images.releases_imagesTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_labels.releases_labelsTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_styles.releases_stylesTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_tracklist.releases_tracklistTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_tracklist_artists.releases_tracklist_artistsTuple.track_id</from>
          <to>discogs_sample1.releases_tracklist.releases_tracklistTuple.track_id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_tracklist_extraartists.releases_tracklist_extraartistsTuple.track_id</from>
          <to>discogs_sample1.releases_tracklist.releases_tracklistTuple.track_id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_videos.releases_videosTuple.release_id</from>
          <to>discogs_sample1.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
    </joinConditions>
  </source>
  <target>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:discogs_sample2</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>discogs_sample2.artists_aliases.artists_aliasesTuple.artist_id</from>
          <to>discogs_sample2.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.artists_groups.artists_groupsTuple.artist_id</from>
          <to>discogs_sample2.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.artists_members.artists_membersTuple.artist_id</from>
          <to>discogs_sample2.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.artists_urls.artists_urlsTuple.artist_id</from>
          <to>discogs_sample2.artists.artistsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.labels_images.labels_imagesTuple.label_id</from>
          <to>discogs_sample2.labels.labelsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.labels_sublabels.labels_sublabelsTuple.label_id</from>
          <to>discogs_sample2.labels.labelsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.labels_urls.labels_urlsTuple.label_id</from>
          <to>discogs_sample2.labels.labelsTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.masters_artists.masters_artistsTuple.master_id</from>
          <to>discogs_sample2.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.masters_genres.masters_genresTuple.master_id</from>
          <to>discogs_sample2.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.masters_images.masters_imagesTuple.master_id</from>
          <to>discogs_sample2.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.masters_styles.masters_stylesTuple.master_id</from>
          <to>discogs_sample2.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.masters_videos.masters_videosTuple.master_id</from>
          <to>discogs_sample2.masters.mastersTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_artists.releases_artistsTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_extraartists.releases_extraartistsTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_formats.releases_formatsTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_formats_descriptions.releases_formats_descriptionsTuple.format_id</from>
          <to>discogs_sample2.releases_formats.releases_formatsTuple.format_id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_genres.releases_genresTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_identifiers.releases_identifiersTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_images.releases_imagesTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_labels.releases_labelsTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_styles.releases_stylesTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_tracklist.releases_tracklistTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_tracklist_artists.releases_tracklist_artistsTuple.track_id</from>
          <to>discogs_sample2.releases_tracklist.releases_tracklistTuple.track_id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_tracklist_extraartists.releases_tracklist_extraartistsTuple.track_id</from>
          <to>discogs_sample2.releases_tracklist.releases_tracklistTuple.track_id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample2.releases_videos.releases_videosTuple.release_id</from>
          <to>discogs_sample2.releases.releasesTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
    </joinConditions>
  </target>
  <correspondences />
</mappingtask>

